## ros-one-moveit-planners-chomp 1.1.16-49jammy.20251023.1709

=== debian/changelog ===
ros-one-moveit-planners-chomp (1.1.16-49jammy.20251023.1709) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 23 Oct 2025 17:09:24 +0000

ros-one-moveit-planners-chomp (1.1.16-0jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit-planners-chomp (1.1.15-0jammy) jammy; urgency=high

  * Fix CHOMP segfault (#3621 <https://github.com/ros-planning/moveit/issues/3621>)
  * Contributors: Robert Haschke, Captain Yoshi

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit-planners-chomp (1.1.14-0jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit-planners-chomp (1.1.13-0jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit-planners-chomp (1.1.12-0jammy) jammy; urgency=high

  * Drop lib/ prefix from plugin paths (#3305 <https://github.com/ros-planning/moveit/issues/3305>)
  * Contributors: Jochen Sprickerhof

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 13 May 2023 00:00:00 -0000

ros-one-moveit-planners-chomp (1.1.11-0jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-moveit-planners-chomp (1.1.10-0jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-moveit-planners-chomp (1.1.9-0jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-moveit-planners-chomp (1.1.8-0jammy) jammy; urgency=high

  * MSA: Add STOMP + OMPL-CHOMP configs (#2955 <https://github.com/ros-planning/moveit/issues/2955>)
    
      * Add stomp planner to MSA
      * Add OMPL-CHOMP planner to MSA
      * Remove obsolete CHOMP parameters
      * Update CHOMP config parameters to match code defaults
      * Create CHOMP config via template (instead of code)
    
  * Contributors: Rick Staa

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-moveit-planners-chomp (1.1.7-0jammy) jammy; urgency=high

  * Move ``MoveItErrorCode`` class to ``moveit_core`` (#3009 <https://github.com/ros-planning/moveit/issues/3009>)
  * Contributors: Jafar Abdi

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-moveit-planners-chomp (1.1.6-0jammy) jammy; urgency=high

  * Use test_environment.launch in unittests (#2949 <https://github.com/ros-planning/moveit/issues/2949>)
  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * CHOMP: Rename param 'clearence' to 'clearance' (#2702 <https://github.com/ros-planning/moveit/issues/2702>, #2707 <https://github.com/ros-planning/moveit/issues/2707>)
  * Contributors: Martin Günther, Michael Görner, Robert Haschke, pvanlaar

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-moveit-planners-chomp (1.1.5-0jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Sun, 23 May 2021 00:00:00 -0000

ros-one-moveit-planners-chomp (1.1.4-0jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Wed, 12 May 2021 00:00:00 -0000

ros-one-moveit-planners-chomp (1.1.3-0jammy) jammy; urgency=high



 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 29 Apr 2021 00:00:00 -0000

ros-one-moveit-planners-chomp (1.1.2-0jammy) jammy; urgency=high

  * Fix formatting errors
  * Sanitize CHOMP initialization method parameter (#2540 <https://github.com/ros-planning/moveit/issues/2540>)
  * Contributors: Cong Liu, Tyler Weaver

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-moveit-planners-chomp (1.1.1-0jammy) jammy; urgency=high

  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Tue, 13 Oct 2020 00:00:00 -0000

ros-one-moveit-planners-chomp (1.1.0-0jammy) jammy; urgency=high

  * [feature] Replace $(find xacro)/xacro -> xacro (#2282 <https://github.com/ros-planning/moveit/issues/2282>)
  * [feature] Start new joint_state_publisher_gui on param use_gui (#2257 <https://github.com/ros-planning/moveit/issues/2257>)
  * [feature] Optional cpp version setting (#2166 <https://github.com/ros-planning/moveit/issues/2166>)
  * [feature] Change API of ChompPlanner::solve() to not use message
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] clang-tidy fixes (#2050 <https://github.com/ros-planning/moveit/issues/2050>)
  * [fix] Fix compiler warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [fix] Small fixes to chomp planner (#1407 <https://github.com/ros-planning/moveit/issues/1407>)
  * [maint] Replace namespaces robot_state and robot_model with moveit::core (#1924 <https://github.com/ros-planning/moveit/issues/1924>)
  * [maint] Add Missing License (#1779 <https://github.com/ros-planning/moveit/issues/1779>)
  * [maint] Switch from include guards to pragma once (#1615 <https://github.com/ros-planning/moveit/issues/1615>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * Contributors: Ayush Garg, Chittaranjan Srinivas Swaminathan, Dave Coleman, Jonathan Binney, Markus Vieth, Robert Haschke, Sean Yen, Tyler Weaver, Yoan Mollard

 -- Chittaranjan Srinivas Swaminathan <chitt@live.in>  Fri, 04 Sep 2020 00:00:00 -0000


