=== debian/control ===
Source: ros-one-moveit-planners-chomp
Section: misc
Priority: optional
Maintainer: Chittaranjan Srinivas Swaminathan <chitt@live.in>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-chomp-motion-planner, ros-one-moveit-core, ros-one-pluginlib (>= 1.11.2), ros-one-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-moveit-planners-chomp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-chomp-motion-planner, ros-one-moveit-core, ros-one-pluginlib (>= 1.11.2), ros-one-roscpp
Description: The interface for using CHOMP within MoveIt
